gstreamermm: Gst::MessageNewClock Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
Gst::MessageNewClock Class Reference

A new clock message. More...

Inheritance diagram for Gst::MessageNewClock:
[legend]
Collaboration diagram for Gst::MessageNewClock:
[legend]

List of all members.

## Public Member Functions
| MessageNewClock (GstMessage* castitem)
Glib::RefPtr< Gst::Clock > | parse ()
| Extracts and returns the new clock from the Gst::MessageNewClock.
Glib::RefPtr< const Gst::Clock > | parse () const
| Extracts and returns the new clock from the Gst::MessageNewClock.
## Static Public Member Functions
static Glib::RefPtr < Gst::MessageNewClock > | create (const Glib::RefPtr< Gst::Object >& src, const Glib::RefPtr< Gst::Clock >& clock)
| Create a new clock message.

## Detailed Description

A new clock message.

See create() for more details.

## Constructor & Destructor Documentation

Gst::MessageNewClock::MessageNewClock | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::MessageNewClock> Gst::MessageNewClock::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | const Glib::RefPtr< Gst::Clock >& | clock
| ) |  | `[static]`

Create a new clock message.

This message is posted whenever the pipeline selectes a new clock for the pipeline.

Parameters:

  src | The object originating the message.
  clock | The new selected clock.

Returns:
  The new new clock message. MT safe.

Glib::RefPtr<Gst::Clock> Gst::MessageNewClock::parse | ( |  | ) |

Extracts and returns the new clock from the Gst::MessageNewClock.

The clock object returned remains valid until the message is freed.

MT safe.

Returns:
  The selected new clock.

Glib::RefPtr<const Gst::Clock> Gst::MessageNewClock::parse | ( |  | ) | const

Extracts and returns the new clock from the Gst::MessageNewClock.

The clock object returned remains valid until the message is freed.

MT safe.

Returns:
  The selected new clock.

The documentation for this class was generated from the following file:

- gstreamermm/message.h